Package org.opengis.cite.wms13

# Class CtlController

java.lang.Object
org.opengis.cite.wms13.CtlController

All Implemented Interfaces:
  `com.occamlab.te.spi.jaxrs.TestSuiteController`

public class CtlController extends Object implements com.occamlab.te.spi.jaxrs.TestSuiteController
Main test run controller is responsible for executing the test suite.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CtlController()`
  Constructs a controller object for this test suite.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Source`
  `doTestRun(Document testRunArgs)`
  `(package private) final File`
  `findScriptFile(URI uri)`
  Creates a File from the given URI reference.
  `String`
  `getCode()`
  `String`
  `getTitle()`
  `String`
  `getVersion()`
  `static void`
  `main(String[] args)`
  A convenience method for running the test suite using a command-line interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CtlController

    public CtlController()
    Constructs a controller object for this test suite. The location of the main CTL script is read from the "main-script" property in the ets.properties file (a classpath resource).

- ## Method Details

  - ### main

    public static void main(String[] args) throws Exception
    A convenience method for running the test suite using a command-line interface.
    Parameters:
      `args` - Test run arguments (optional). The first argument must refer to a local XML properties file containing the expected set of test run arguments. If no argument is supplied, the file located at ${user.home}/test-run-props.xml will be used.
    Throws:
      `Exception` - If an error errors during the test run.

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `com.occamlab.te.spi.jaxrs.TestSuiteController`

  - ### getVersion

    public String getVersion()
    Specified by:
      `getVersion` in interface `com.occamlab.te.spi.jaxrs.TestSuiteController`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `com.occamlab.te.spi.jaxrs.TestSuiteController`

  - ### doTestRun

    public Source doTestRun(Document testRunArgs) throws Exception
    Specified by:
      `doTestRun` in interface `com.occamlab.te.spi.jaxrs.TestSuiteController`
    Throws:
      `Exception`

  - ### findScriptFile

    final File findScriptFile(URI uri)
    Creates a File from the given URI reference. If the URI is not absolute, is is resolved against the location of the TE_BASE/scripts directory; if a file does not exist at this location the URI is assumed to be a classpath reference.
    Parameters:
      `uri` - An absolute or relative URI.
    Returns:
      A File object, or null if one could not be created.